data.raw["lamp"]["small-lamp"].fast_replacable_group = "lamp"
data.raw["radar"]["radar"].fast_replacable_group = "radar"

-- Make sure that the items are in the right submenu

if mods["Hiladdar_Electrical"] then

  data.raw["item"]["hsmd-waterproof-cable"].subgroup = "hsmd-electrical"

  data.raw["item"]["hsmd-electric-relay-mk1"].subgroup = "hsmd-electrical"
  data.raw["item"]["hsmd-electric-relay-mk2"].subgroup = "hsmd-electrical"
  data.raw["item"]["hsmd-electric-relay-mk3"].subgroup = "hsmd-electrical"
  data.raw["item"]["hsmd-electric-relay-mk4"].subgroup = "hsmd-electrical"
  data.raw["item"]["hsmd-electric-relay-mk5"].subgroup = "hsmd-electrical"
  data.raw["item"]["hsmd-electric-relay-mk6"].subgroup = "hsmd-electrical"

  data.raw["item"]["hsmd-big-electric-pole-mk2"].subgroup = "hsmd-electrical"
  data.raw["item"]["hsmd-big-electric-pole-mk3"].subgroup = "hsmd-electrical"
  data.raw["item"]["hsmd-big-electric-pole-mk4"].subgroup = "hsmd-electrical"
  data.raw["item"]["hsmd-big-electric-pole-mk5"].subgroup = "hsmd-electrical"
  data.raw["item"]["hsmd-big-electric-pole-mk6"].subgroup = "hsmd-electrical"

  data.raw["item"]["hsmd-substation-mk2"].subgroup = "hsmd-electrical"
  data.raw["item"]["hsmd-substation-mk3"].subgroup = "hsmd-electrical"
  data.raw["item"]["hsmd-substation-mk4"].subgroup = "hsmd-electrical"
  data.raw["item"]["hsmd-substation-mk5"].subgroup = "hsmd-electrical"
  data.raw["item"]["hsmd-substation-mk6"].subgroup = "hsmd-electrical"

  data.raw["item"]["hsmd-solar-panel-mk2"].subgroup = "hsmd-electrical2"
  data.raw["item"]["hsmd-solar-panel-mk3"].subgroup = "hsmd-electrical2"
  data.raw["item"]["hsmd-solar-panel-mk4"].subgroup = "hsmd-electrical2"
  data.raw["item"]["hsmd-solar-panel-mk5"].subgroup = "hsmd-electrical2"
  data.raw["item"]["hsmd-solar-panel-mk6"].subgroup = "hsmd-electrical2"

  data.raw["item"]["hsmd-accumulator-mk2"].subgroup = "hsmd-electrical2"
  data.raw["item"]["hsmd-accumulator-mk3"].subgroup = "hsmd-electrical2"
  data.raw["item"]["hsmd-accumulator-mk4"].subgroup = "hsmd-electrical2"
  data.raw["item"]["hsmd-accumulator-mk5"].subgroup = "hsmd-electrical2"
  data.raw["item"]["hsmd-accumulator-mk6"].subgroup = "hsmd-electrical2"

end

if mods["Hiladdar_Fuels"] then

  data.raw["item"]["hsmd-rocket-fuel-mk2"].subgroup = "hsmd-fuel"
  data.raw["item"]["hsmd-rocket-fuel-mk3"].subgroup = "hsmd-fuel"
  data.raw["item"]["hsmd-rocket-fuel-mk4"].subgroup = "hsmd-fuel"
  data.raw["item"]["hsmd-rocket-fuel-mk5"].subgroup = "hsmd-fuel"

  data.raw["item"]["hsmd-solid-fuel-mk2"].subgroup = "hsmd-fuel"
  data.raw["item"]["hsmd-solid-fuel-mk3"].subgroup = "hsmd-fuel"
  data.raw["item"]["hsmd-solid-fuel-mk4"].subgroup = "hsmd-fuel"
  data.raw["item"]["hsmd-solid-fuel-mk5"].subgroup = "hsmd-fuel"

end

if mods["Hiladdar_Fuels"] then

--  data.raw["item"]["hsmd-power-armor-mk3"].subgroup = "hsmd-gear"
--  data.raw["item"]["hsmd-power-armor-mk4"].subgroup = "hsmd-gear"

  data.raw["item"]["hsmd-personal-bugzapper-equipment"].subgroup = "hsmd-gear"
  data.raw["item"]["hsmd-personal-bugzapper-s1-equipment"].subgroup = "hsmd-gear"
  data.raw["item"]["hsmd-personal-bugzapper-s2-equipment"].subgroup = "hsmd-gear"
  data.raw["item"]["hsmd-personal-bugzapper-s3-equipment"].subgroup = "hsmd-gear" 
  data.raw["item"]["hsmd-personal-bugzapper-s4-equipment"].subgroup = "hsmd-gear"  
  data.raw["item"]["hsmd-personal-bugzapper-s5-equipment"].subgroup = "hsmd-gear"  
  data.raw["item"]["hsmd-personal-bugzapper-s6-equipment"].subgroup = "hsmd-gear"  
  data.raw["item"]["hsmd-personal-bugzapper-s7-equipment"].subgroup = "hsmd-gear"  
  data.raw["item"]["hsmd-personal-bugzapper-s8-equipment"].subgroup = "hsmd-gear"  
  data.raw["item"]["hsmd-personal-bugzapper-s9-equipment"].subgroup = "hsmd-gear"

  data.raw["item"]["hsmd-night-vision-s1-equipment"].subgroup = "hsmd-gear"  
  data.raw["item"]["hsmd-battery-mk2-s1-equipment"].subgroup = "hsmd-gear"  
  data.raw["item"]["hsmd-solar-panel-s1-equipment"].subgroup = "hsmd-gear"  
  data.raw["item"]["hsmd-fusion-reactor-s1-equipment"].subgroup = "hsmd-gear"  
  data.raw["item"]["hsmd-fusion-reactor-s2-equipment"].subgroup = "hsmd-gear"  
  data.raw["item"]["hsmd-fusion-reactor-s3-equipment"].subgroup = "hsmd-gear"
  data.raw["item"]["hsmd-personal-roboport-mk2s-equipment"].subgroup = "hsmd-gear"  
  data.raw["item"]["hsmd-personal-roboport-mk3-s1-equipment"].subgroup = "hsmd-gear"  
  data.raw["item"]["hsmd-exoskeleton-s1-equipment"].subgroup = "hsmd-gear"
  data.raw["item"]["hsmd-energy-shield-mk2s-equipment"].subgroup = "hsmd-gear"
  data.raw["item"]["hsmd-personal-laser-defense-s1-equipment"].subgroup = "hsmd-gear"  

  if mods["Aircraft"] then
    data.raw["item"]["hsmd-aircraft-energy-shield-s1"].subgroup = "hsmd-gear"
    data.raw["item"]["hsmd-afterburner-s1"].subgroup = "hsmd-gear"
  end
  
  
  data.raw["item"]["hsmd-solvant"].subgroup = "hsmd-gear"
  data.raw["item"]["hsmd-mixed-ore"].subgroup = "hsmd-gear"
  data.raw["item"]["hsmd-gravitanium-ore"].subgroup = "hsmd-gear"
  data.raw["item"]["hsmd-gravitanium-plate"].subgroup = "hsmd-gear"
  data.raw["item"]["hsmd-cleaned-gravitanium"].subgroup = "hsmd-gear"
  data.raw["item"]["hsmd-powdered-gravitanium"].subgroup = "hsmd-gear"
  data.raw["item"]["hsmd-boxed-gravitanium"].subgroup = "hsmd-gear"
  data.raw["item"]["hsmd-miniaturizer"].subgroup = "hsmd-gear"
  data.raw["item"]["hsmd-stacked-solar"].subgroup = "hsmd-gear"
  data.raw["item"]["hsmd-stacked-battery"].subgroup = "hsmd-gear"
  
end

if mods["Hiladdar_Manufacturing"] then

  data.raw["item"]["hsmd-assembling-machine-mk4"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-assembling-machine-mk5"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-assembling-machine-mk6"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-assembling-machine-mk7"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-assembling-machine-mk8"].subgroup = "hsmd-manufacturing"
  
  data.raw["item"]["hsmd-centrifuge-mk2"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-centrifuge-mk3"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-centrifuge-mk4"].subgroup = "hsmd-manufacturing"

  data.raw["item"]["hsmd-chemical-plant-mk2"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-chemical-plant-mk3"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-chemical-plant-mk4"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-chemical-plant-mk5"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-chemical-plant-mk6"].subgroup = "hsmd-manufacturing"

  data.raw["item"]["hsmd-furnace-mk4"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-furnace-mk5"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-furnace-mk6"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-furnace-mk7"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-furnace-mk8"].subgroup = "hsmd-manufacturing"

  data.raw["item"]["hsmd-oil-refinery-mk2"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-oil-refinery-mk3"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-oil-refinery-mk4"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-oil-refinery-mk5"].subgroup = "hsmd-manufacturing"
  data.raw["item"]["hsmd-oil-refinery-mk6"].subgroup = "hsmd-manufacturing"

end

if mods["Hiladdar_Mining"] then

  data.raw["item"]["hsmd-electric-mining-drill-mk2"].subgroup = "hsmd-mining"
  data.raw["item"]["hsmd-electric-mining-drill-mk3"].subgroup = "hsmd-mining"
  data.raw["item"]["hsmd-electric-mining-drill-mk4"].subgroup = "hsmd-mining"
  data.raw["item"]["hsmd-electric-mining-drill-mk5"].subgroup = "hsmd-mining"
  data.raw["item"]["hsmd-electric-mining-drill-mk6"].subgroup = "hsmd-mining"  

  data.raw["item"]["hsmd-pumpjack-mk2"].subgroup = "hsmd-mining"
  data.raw["item"]["hsmd-pumpjack-mk3"].subgroup = "hsmd-mining"
  data.raw["item"]["hsmd-pumpjack-mk4"].subgroup = "hsmd-mining"
  data.raw["item"]["hsmd-pumpjack-mk5"].subgroup = "hsmd-mining"
  data.raw["item"]["hsmd-pumpjack-mk6"].subgroup = "hsmd-mining"  
  
end

if mods["Hiladdar_Research"] then

  data.raw["item"]["hsmd-lab-mk2"].subgroup = "hsmd-research"
  data.raw["item"]["hsmd-lab-mk3"].subgroup = "hsmd-research"

end

if mods["Hiladdar_Robots"] then

  data.raw["item"]["hsmd-construction-robotics-mk2"].subgroup = "hsmd-robots"
  data.raw["item"]["hsmd-construction-robotics-mk3"].subgroup = "hsmd-robots"
  data.raw["item"]["hsmd-construction-robotics-mk4"].subgroup = "hsmd-robots"
  data.raw["item"]["hsmd-construction-robotics-mk5"].subgroup = "hsmd-robots"
  
  data.raw["item"]["hsmd-logistic-robotics-mk2"].subgroup = "hsmd-robots"
  data.raw["item"]["hsmd-logistic-robotics-mk3"].subgroup = "hsmd-robots"
  data.raw["item"]["hsmd-logistic-robotics-mk4"].subgroup = "hsmd-robots"
  data.raw["item"]["hsmd-logistic-robotics-mk5"].subgroup = "hsmd-robots"

  data.raw["item"]["hsmd-roboport-mk2"].subgroup = "hsmd-robots"  
  data.raw["item"]["hsmd-roboport-mk3"].subgroup = "hsmd-robots"
  
  data.raw["item"]["hsmd-personal-roboport-mk3-equipment"].subgroup = "hsmd-robots"

end

if mods["Hiladdar_Trains"] then

  data.raw["item-with-entity-data"]["hsmd-cargo-wagon-mk2"].subgroup = "hsmd-trains"
  data.raw["item-with-entity-data"]["hsmd-cargo-wagon-mk3"].subgroup = "hsmd-trains"
  data.raw["item-with-entity-data"]["hsmd-cargo-wagon-mk4"].subgroup = "hsmd-trains"

  data.raw["item-with-entity-data"]["hsmd-fluid-wagon-mk2"].subgroup = "hsmd-trains"  
  data.raw["item-with-entity-data"]["hsmd-fluid-wagon-mk3"].subgroup = "hsmd-trains"
  data.raw["item-with-entity-data"]["hsmd-fluid-wagon-mk4"].subgroup = "hsmd-trains"
  
end
